#ifndef ProtoGenWrapper_GetComInterface_H
#define ProtoGenWrapper_GetComInterface_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComInterface(std::string name);
		GetComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(std::string &name);

		static int GetCommandType();
	};
}
#endif // ProtoGenWrapper_GetComInterface_H
